summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPacho Ramos <pacho@gentoo.org>2015-11-14 12:10:09 +0100
committerPacho Ramos <pacho@gentoo.org>2015-11-14 14:45:30 +0100
commit6e322ab52fe037bf8f694a768edbec1da48f75d8 (patch)
treee0abd1ec5f2403393138afaabf26e77d33a462eb /app-accessibility/at-spi2-core
parentx11-terms/gnome-terminal: Drop old (diff)
downloadgentoo-6e322ab52fe037bf8f694a768edbec1da48f75d8.tar.gz
gentoo-6e322ab52fe037bf8f694a768edbec1da48f75d8.tar.bz2
gentoo-6e322ab52fe037bf8f694a768edbec1da48f75d8.zip
app-accessibility/at-spi2-core: Version bump
Package-Manager: portage-2.2.24
Diffstat (limited to 'app-accessibility/at-spi2-core')
-rw-r--r--app-accessibility/at-spi2-core/Manifest1
-rw-r--r--app-accessibility/at-spi2-core/at-spi2-core-2.18.2.ebuild60
2 files changed, 61 insertions, 0 deletions
diff --git a/app-accessibility/at-spi2-core/Manifest b/app-accessibility/at-spi2-core/Manifest
index f8041bb60fa..e17712b4470 100644
--- a/app-accessibility/at-spi2-core/Manifest
+++ b/app-accessibility/at-spi2-core/Manifest
@@ -1,3 +1,4 @@
DIST at-spi2-core-2.12.0.tar.xz 454668 SHA256 db550edd98e53b4252521459c2dcaf0f3b060a9bad52489b9dbadbaedad3fb89 SHA512 955249568e28441201d0a079e26bd703e21716b9189e372bfa20cda70e1079bbb51f62246cdeb1b914953f448e0432b749d402d723710247f2a1b8b343b37ccc WHIRLPOOL 67870b40b3c0e343b3119bae93b23540f8ab2c71137d033c9b4ee000d28a4c66353dae8a72d815367ac8b291471dd3c21d985a0cdd4c6812e43f95ca1931010a
DIST at-spi2-core-2.14.1.tar.xz 456272 SHA256 eef9660b14fdf0fb1f30d1be7c72d591fa7cbb87b00ca3a444425712f46ce657 SHA512 263f2353961787b510a22ede6243ebd6f9eba7fe00740b252ba372e78a2b4a20bd6ed1a9f509b2e33342fc5516d1e8b95f886573d51962755e51584771ac86b9 WHIRLPOOL 54d02cd41f1039c3b166c01215d983b768011c99b81831fc3256a4dde66b3a2fbff7b0fafa4958bbce367fee164c5f5c90531de11f57d65a1972af009b5afd62
DIST at-spi2-core-2.16.0.tar.xz 455264 SHA256 1c0b77fb8ce81abbf1d80c0afee9858b3f9229f673b7881995fe0fc16b1a74d0 SHA512 b61cb6dad15e2a6f6cd4788e6b63fed37d0098a56d1417b43aed2ba111a7dd7fccbe7c393f0be794bcaf900f38decbd3974c36e395548000d429086f8717df57 WHIRLPOOL 556c504ba9aef2e4ad2b63e3b4d0417ce24a49fafd45287cf3d669612c2d23058f3e7b373a69a569d63938a0333b62d5c601e8a0f1f4b78d0252bea4b64ede3e
+DIST at-spi2-core-2.18.2.tar.xz 451516 SHA256 4eea5ba07912ad955157761c4c9fdb6e3fab6ea91899a4db785eb47ae61f1ee5 SHA512 1f236e13dbf1d148b5c342fdd89deeff26e1a4faa58c1134cd01dfa6603cb56409489b87d1542d3dd2ac9b0944baff73b6d5ab5b4fb9b4a3bb73babc0843b39c WHIRLPOOL f5da96aa97048bdd939cdd7b5315e2399e5dacb680c58867219af3ed1855998ff08da288d88c9634f079a7d98290cca1e60dc0960814a0ae1b98105dadd5ed94
diff --git a/app-accessibility/at-spi2-core/at-spi2-core-2.18.2.ebuild b/app-accessibility/at-spi2-core/at-spi2-core-2.18.2.ebuild
new file mode 100644
index 00000000000..f0af8132a3a
--- /dev/null
+++ b/app-accessibility/at-spi2-core/at-spi2-core-2.18.2.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+GCONF_DEBUG="no"
+GNOME2_LA_PUNT="yes"
+
+inherit eutils gnome2 multilib-minimal
+
+DESCRIPTION="D-Bus accessibility specifications and registration daemon"
+HOMEPAGE="https://wiki.gnome.org/Accessibility"
+
+LICENSE="LGPL-2+"
+SLOT="2"
+IUSE="X +introspection"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~arm-linux ~x86-linux ~x64-macos ~x86-macos"
+
+# x11-libs/libSM is needed until upstream #719808 is solved either
+# making the dep unneeded or fixing their configure
+# Only libX11 is optional right now
+RDEPEND="
+ >=dev-libs/glib-2.36:2[${MULTILIB_USEDEP}]
+ >=sys-apps/dbus-1[${MULTILIB_USEDEP}]
+ x11-libs/libSM[${MULTILIB_USEDEP}]
+ x11-libs/libXi[${MULTILIB_USEDEP}]
+ x11-libs/libXtst[${MULTILIB_USEDEP}]
+ introspection? ( >=dev-libs/gobject-introspection-0.9.6:= )
+ X? ( x11-libs/libX11[${MULTILIB_USEDEP}] )
+"
+DEPEND="${RDEPEND}
+ >=dev-util/gtk-doc-am-1.9
+ >=dev-util/intltool-0.40
+ sys-devel/gettext
+ virtual/pkgconfig[${MULTILIB_USEDEP}]
+"
+
+src_prepare() {
+ # disable teamspaces test since that requires Novell.ICEDesktop.Daemon
+ epatch "${FILESDIR}/${PN}-2.0.2-disable-teamspaces-test.patch"
+
+ gnome2_src_prepare
+}
+
+multilib_src_configure() {
+ # xevie is deprecated/broken since xorg-1.6/1.7
+ ECONF_SOURCE=${S} \
+ gnome2_src_configure \
+ --disable-xevie \
+ $(multilib_native_use_enable introspection) \
+ $(use_enable X x11)
+
+ # work-around gtk-doc out-of-source brokedness
+ if multilib_is_native_abi; then
+ ln -s "${S}"/doc/libatspi/html doc/libatspi/html || die
+ fi
+}
+
+multilib_src_compile() { gnome2_src_compile; }
+multilib_src_install() { gnome2_src_install; }